
QGIS Application - Feature request #952

Support PostgreSQL uuid type

2008-02-18 11:50 AM - christiangda -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Data Provider

Pull Request or Patch supplied: Resolution: duplicate

Easy fix?: No Copied to github as #: 11011

Description

Hi,

   Recently I have been working with [[PostgreSQL]] 8.3 and uuid data type. When I have a table with uuid data type as primary key, qgis

can't show or manipulate it.

History

#1 - 2008-10-08 08:54 AM - Mike Taves

A suggested workaround for this is to:

 1. drop the primary key constraint

 1. add a unique key constraint on the uuid column (former pkey)

 1. add a serial column (this could be on the far right-side .. doesn't matter)

 1. create a primary key on the newly created serial column

FYI, very few GIS programs allow a non-integer primary key.

#2 - 2009-04-07 05:12 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #62
